GURU(8)

NOM
guru - Administration système

SYNOPSIS
guru [ -e programme ] [ -f ] [ -p cible ]

DESCRIPTION
guru est un système de programmation automatique et un outil de maintenance sophistiqué développé après minuit grâce à la collaboration de nombreux labos universitaires. Il est basé sur le fameux système Hacker LISP, servant à développer des programmes d'IA sur le TENEX. guru lit la description d'un problème sur son entrée standard. Une solution originale et parfois correcte est alors développée et écrite sur la sortie standard. Généralement, guru est invoqué de manière répétée jusqu'à ce qu'une solution acceptable soit fournie, ou que la communauté des utilisateurs accepte de vivre en gardant son problème.

Le mécanisme de rapport de bogues peut parfois invoquer directement guru. Dans ce cas, guru fonctionne avec une priorité inversement proportionnelle à l'urgence du bogue. Les améliorations de fonctionnalités annexes sont traitées avec une haute priorité alors que les corrections de problèmes critiques ne sont apportées que lorsque la machine est inemployée.

Si aucune donnée n'est fournie sur l'entrée standard, utilise ses capacités de synthèse automatique de programmes pour engendrer une collection d'éditeurs de texte, de widgets X11, de compilateurs, de jeux incompréhensibles et éventuellement des diatribes interminables.

OPTIONS

-e programme
    Des fonctionnalités nouvelles sont ajoutées au programme existant. Cette option doit être utilisée avec discernement, car le programme amélioré peut fonctionner de manière imprévisible, voire ne pas fonctionner du tout.

-f  Reconstruire un système de fichiers après un crash.

-p cible
    Effectuer le portage de tout le système sur lequel guru s'exécute sur une nouvelle machine cible, de préférence RISC. Cette opération prend beaucoup de temps et peut très bien ne jamais aboutir.

Si l'on indique plus d'une option à la fois, guru risque d'en oublier. Chaque copie de guru dispose de son propre jeu d'options supplémentaires originales et non documentées.

NOTES
Des limitations dues à la conception même de guru l'empêche radicalement de fournir des commentaires. Les programmes engendrés ne sont donc pas documentés. La cohérence, la politesse, et la correction du langage employé pour les diatribes occasionnelles peuvent varier considérablement.

Le seul élément de diagnostique disponible est un « Je mérite une augmentation » occasionnel, que l'on peut généralement ignorer sans risques, bien que cela conduise parfois à une erreur irrécupérable « Je démissionne ».

La redirection de la sortie d'un guru en entrée d'un autre guru peut donner des résultats surprenants.

VOIR AUSSI
YAPS : Yet another Program Synthesiser par S C Johnson.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 2 juin 1999 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 guru ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.